### Method

# GUPnP DeviceInfo get_icon_finish

#### Declaration [src]

    GBytes*
    gupnp_device_info_get_icon_finish (
      GUPnPDeviceInfo* info,
      GAsyncResult* res,
      char** mime,
      int* depth,
      int* width,
      int* height,
      GError** error
    )

#### Description

No description available.

#### Parameters

`res`

  Type: `GAsyncResult`

  A GAsyncResult.

  The data is owned by the caller of the method.

`mime`

  Type: `char**`

  The location where to store the the format of the returned icon, or `NULL`. The returned string should be freed after use.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`depth`

  Type: `int*`

  The location where to store the depth of the returned icon, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`width`

  Type: `int*`

  The location where to store the width of the returned icon, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`height`

  Type: `int*`

  The location where to store the height of the returned icon, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A GBytes contaning the icon or NULL on either error or no matching icon was found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.